	sonames only in ffmpeg-libs-2.1.5-1.fc20 [1]:
libavfilter.so.3	/usr/lib64/libavfilter.so.3.90.100

	sonames only in ffmpeg-libs-2.3.4-1.fc20 [2]:
libavfilter.so.4	/usr/lib64/libavfilter.so.4.11.100

	common sonames:
libavcodec.so.55	/usr/lib64/libavcodec.so.55.39.101	/usr/lib64/libavcodec.so.55.69.100
libavdevice.so.55	/usr/lib64/libavdevice.so.55.5.100	/usr/lib64/libavdevice.so.55.13.102
libavformat.so.55	/usr/lib64/libavformat.so.55.19.104	/usr/lib64/libavformat.so.55.48.100
libavresample.so.1	/usr/lib64/libavresample.so.1.1.0	/usr/lib64/libavresample.so.1.3.0
libavutil.so.52	/usr/lib64/libavutil.so.52.48.101	/usr/lib64/libavutil.so.52.92.100
libpostproc.so.52	/usr/lib64/libpostproc.so.52.3.100	/usr/lib64/libpostproc.so.52.3.100
libswresample.so.0	/usr/lib64/libswresample.so.0.17.104	/usr/lib64/libswresample.so.0.19.100
libswscale.so.2	/usr/lib64/libswscale.so.2.5.101	/usr/lib64/libswscale.so.2.6.100

--- ffmpeg-libs-2.1.5-1.fc20/libavcodec.so.55	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libavcodec.so.55	2014-10-03 08:15:03.239106000 +0200
@@ -11,2 +11,3 @@
 av_bitstream_filter_next	T
+av_codec_get_chroma_intra_matrix	T
 av_codec_get_codec_descriptor	T
@@ -19,2 +20,3 @@
 av_codec_next	T
+av_codec_set_chroma_intra_matrix	T
 av_codec_set_codec_descriptor	T
@@ -30,2 +32,4 @@
 av_dup_packet	T
+av_dv_codec_profile	T
+av_dv_frame_profile	T
 av_fast_malloc	T
@@ -64,5 +68,8 @@
 av_packet_new_side_data	T
+av_packet_pack_dictionary	T
 av_packet_ref	T
+av_packet_rescale_ts	T
 av_packet_shrink_side_data	T
 av_packet_split_side_data	T
+av_packet_unpack_dictionary	T
 av_packet_unref	T
@@ -87,2 +94,4 @@
 av_shrink_packet	T
+av_vdpau_alloc_context	T
+av_vdpau_get_profile	T
 av_vdpau_hwaccel_get_render2	T
@@ -98,2 +107,5 @@
 avcodec_copy_context	T
+avcodec_dct_alloc	T
+avcodec_dct_get_class	T
+avcodec_dct_init	T
 avcodec_decode_audio3	T
@@ -127,2 +139,3 @@
 avcodec_flush_buffers	T
+avcodec_free_context	T
 avcodec_free_frame	T
@@ -156,2 +169,3 @@
 avpriv_ac3_parse_header	T
+avpriv_ac3_parse_header2	T
 avpriv_adx_decode_header	T
@@ -165,2 +179,3 @@
 avpriv_dnxhd_get_frame_size	T
+avpriv_do_elbg	T
 avpriv_dsputil_init	T
@@ -169,2 +184,3 @@
 avpriv_dv_frame_profile2	T
+avpriv_exif_decode_ifd	T
 avpriv_find_pix_fmt	T
@@ -175,2 +191,3 @@
 avpriv_h264_has_num_reorder_frames	T
+avpriv_init_elbg	T
 avpriv_lock_avformat	T
@@ -185,2 +202,3 @@
 avpriv_mpa_decode_header	T
+avpriv_mpa_decode_header2	T
 avpriv_mpa_freq_tab	R
@@ -189,2 +207,4 @@
 avpriv_mpegaudio_decode_header	T
+avpriv_pix_fmt_bps_avi	R
+avpriv_pix_fmt_bps_mov	R
 avpriv_put_string	T
@@ -196,2 +216,3 @@
 avpriv_vorbis_parse_frame	T
+avpriv_vorbis_parse_frame_flags	T
 avpriv_vorbis_parse_reset	T
@@ -224,2 +245,4 @@
 ff_fdct_sse2	T
+ff_fdctdsp_init	T
+ff_fdctdsp_init_x86	T
 ff_fft_end	T
@@ -241,2 +264,3 @@
 ff_idct_xvid_sse2_put	T
+ff_idctdsp_init	T
 ff_jpeg_fdct_islow_10	T
@@ -253,2 +277,3 @@
 ff_mdct_init_fixed_32	T
+ff_pixblockdsp_init	T
 ff_raw_pix_fmt_tags	R

	25 symbols added
R avpriv_pix_fmt_bps_avi
R avpriv_pix_fmt_bps_mov
T av_codec_get_chroma_intra_matrix
T av_codec_set_chroma_intra_matrix
T av_dv_codec_profile
T av_dv_frame_profile
T av_packet_pack_dictionary
T av_packet_rescale_ts
T av_packet_unpack_dictionary
T av_vdpau_alloc_context
T av_vdpau_get_profile
T avcodec_dct_alloc
T avcodec_dct_get_class
T avcodec_dct_init
T avcodec_free_context
T avpriv_ac3_parse_header2
T avpriv_do_elbg
T avpriv_exif_decode_ifd
T avpriv_init_elbg
T avpriv_mpa_decode_header2
T avpriv_vorbis_parse_frame_flags
T ff_fdctdsp_init
T ff_fdctdsp_init_x86
T ff_idctdsp_init
T ff_pixblockdsp_init

# template for libavcodec.so.55 version script
FFMPEG_2.3.4 {
    global:
	av_codec_get_chroma_intra_matrix;
	av_codec_set_chroma_intra_matrix;
	av_dv_codec_profile;
	av_dv_frame_profile;
	av_packet_pack_dictionary;
	av_packet_rescale_ts;
	av_packet_unpack_dictionary;
	av_vdpau_alloc_context;
	av_vdpau_get_profile;
	avcodec_dct_alloc;
	avcodec_dct_get_class;
	avcodec_dct_init;
	avcodec_free_context;
	avpriv_ac3_parse_header2;
	avpriv_do_elbg;
	avpriv_exif_decode_ifd;
	avpriv_init_elbg;
	avpriv_mpa_decode_header2;
	avpriv_pix_fmt_bps_avi;
	avpriv_pix_fmt_bps_mov;
	avpriv_vorbis_parse_frame_flags;
	ff_fdctdsp_init;
	ff_fdctdsp_init_x86;
	ff_idctdsp_init;
	ff_pixblockdsp_init;
};

--- ffmpeg-libs-2.1.5-1.fc20/libavdevice.so.55	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libavdevice.so.55	2014-10-03 08:15:03.239106000 +0200
@@ -1,3 +1,9 @@
+avdevice_app_to_dev_control_message	T
+avdevice_capabilities_create	T
+avdevice_capabilities_free	T
 avdevice_configuration	T
+avdevice_dev_to_app_control_message	T
+avdevice_free_list_devices	T
 avdevice_license	T
+avdevice_list_devices	T
 avdevice_register_all	T

	6 symbols added
T avdevice_app_to_dev_control_message
T avdevice_capabilities_create
T avdevice_capabilities_free
T avdevice_dev_to_app_control_message
T avdevice_free_list_devices
T avdevice_list_devices

# template for libavdevice.so.55 version script
FFMPEG_2.3.4 {
    global:
	avdevice_app_to_dev_control_message;
	avdevice_capabilities_create;
	avdevice_capabilities_free;
	avdevice_dev_to_app_control_message;
	avdevice_free_list_devices;
	avdevice_list_devices;
};

--- ffmpeg-libs-2.1.5-1.fc20/libavformat.so.55	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libavformat.so.55	2014-10-03 08:15:03.239106000 +0200
@@ -17,2 +17,5 @@
 av_format_get_audio_codec	T
+av_format_get_control_message_cb	T
+av_format_get_metadata_header_padding	T
+av_format_get_opaque	T
 av_format_get_probe_score	T
@@ -20,3 +23,7 @@
 av_format_get_video_codec	T
+av_format_inject_global_side_data	T
 av_format_set_audio_codec	T
+av_format_set_control_message_cb	T
+av_format_set_metadata_header_padding	T
+av_format_set_opaque	T
 av_format_set_subtitle_codec	T
@@ -35,2 +42,3 @@
 av_interleaved_write_frame	T
+av_interleaved_write_uncoded_frame	T
 av_match_ext	T
@@ -53,4 +61,2 @@
 av_register_output_format	T
-av_register_rdt_dynamic_payload_handlers	T
-av_register_rtp_dynamic_payload_handlers	T
 av_sdp_create	T
@@ -58,3 +64,6 @@
 av_set_pts_info	T
+av_stream_get_end_pts	T
+av_stream_get_parser	T
 av_stream_get_r_frame_rate	T
+av_stream_get_side_data	T
 av_stream_set_r_frame_rate	T
@@ -63,2 +72,4 @@
 av_write_trailer	T
+av_write_uncoded_frame	T
+av_write_uncoded_frame_query	T
 avformat_alloc_context	T
@@ -71,2 +82,4 @@
 avformat_get_class	T
+avformat_get_mov_audio_tags	T
+avformat_get_mov_video_tags	T
 avformat_get_riff_audio_tags	T
@@ -90,2 +103,3 @@
 avio_enum_protocols	T
+avio_find_protocol_name	T
 avio_flush	T
@@ -148,2 +162,3 @@
 ffurl_write	T
+get_codec_guid	T
 url_feof	T

	2 symbols removed
T av_register_rdt_dynamic_payload_handlers
T av_register_rtp_dynamic_payload_handlers

	17 symbols added
T av_format_get_control_message_cb
T av_format_get_metadata_header_padding
T av_format_get_opaque
T av_format_inject_global_side_data
T av_format_set_control_message_cb
T av_format_set_metadata_header_padding
T av_format_set_opaque
T av_interleaved_write_uncoded_frame
T av_stream_get_end_pts
T av_stream_get_parser
T av_stream_get_side_data
T av_write_uncoded_frame
T av_write_uncoded_frame_query
T avformat_get_mov_audio_tags
T avformat_get_mov_video_tags
T avio_find_protocol_name
T get_codec_guid

# template for libavformat.so.55 version script
FFMPEG_2.3.4 {
    global:
	av_format_get_control_message_cb;
	av_format_get_metadata_header_padding;
	av_format_get_opaque;
	av_format_inject_global_side_data;
	av_format_set_control_message_cb;
	av_format_set_metadata_header_padding;
	av_format_set_opaque;
	av_interleaved_write_uncoded_frame;
	av_stream_get_end_pts;
	av_stream_get_parser;
	av_stream_get_side_data;
	av_write_uncoded_frame;
	av_write_uncoded_frame_query;
	avformat_get_mov_audio_tags;
	avformat_get_mov_video_tags;
	avio_find_protocol_name;
	get_codec_guid;
};

--- ffmpeg-libs-2.1.5-1.fc20/libavresample.so.1	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libavresample.so.1	2014-10-03 08:15:03.239106000 +0200
@@ -10,2 +10,4 @@
 avresample_get_matrix	T
+avresample_get_out_samples	T
+avresample_is_open	T
 avresample_license	T

	2 symbols added
T avresample_get_out_samples
T avresample_is_open

# template for libavresample.so.1 version script
FFMPEG_2.3.4 {
    global:
	avresample_get_out_samples;
	avresample_is_open;
};

--- ffmpeg-libs-2.1.5-1.fc20/libavutil.so.52	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libavutil.so.52	2014-10-03 08:15:03.239106000 +0200
@@ -1,2 +1,3 @@
 av_add_q	T
+av_add_stable	T
 av_adler32_update	T
@@ -73,5 +74,10 @@
 av_dirname	T
+av_display_matrix_flip	T
+av_display_rotation_get	T
+av_display_rotation_set	T
 av_div_q	T
+av_downmix_info_update_side_data	T
 av_dynarray2_add	T
 av_dynarray_add	T
+av_dynarray_add_nofree	T
 av_escape	T
@@ -83,5 +89,9 @@
 av_ext2dbl	T
+av_fast_malloc	T
+av_fast_realloc	T
 av_fifo_alloc	T
+av_fifo_alloc_array	T
 av_fifo_drain	T
 av_fifo_free	T
+av_fifo_freep	T
 av_fifo_generic_read	T
@@ -95,2 +105,3 @@
 av_file_unmap	T
+av_find_best_pix_fmt_of_2	T
 av_find_info_tag	T
@@ -99,2 +110,3 @@
 av_flt2int	T
+av_fopen_utf8	T
 av_force_cpu_flags	T
@@ -102,2 +114,3 @@
 av_frame_clone	T
+av_frame_copy	T
 av_frame_copy_props	T
@@ -124,2 +137,3 @@
 av_frame_ref	T
+av_frame_remove_side_data	T
 av_frame_set_best_effort_timestamp	T
@@ -161,2 +175,3 @@
 av_get_pix_fmt	T
+av_get_pix_fmt_loss	T
 av_get_pix_fmt_name	T
@@ -171,6 +186,12 @@
 av_get_string	T
+av_get_time_base_q	T
 av_get_token	T
 av_gettime	T
+av_gettime_relative	T
+av_gettime_relative_is_monotonic	T
 av_hash_alloc	T
 av_hash_final	T
+av_hash_final_b64	T
+av_hash_final_bin	T
+av_hash_final_hex	T
 av_hash_freep	T
@@ -188,2 +209,3 @@
 av_image_alloc	T
+av_image_check_sar	T
 av_image_check_size	T
@@ -212,2 +234,3 @@
 av_log_format_line	T
+av_log_get_flags	T
 av_log_get_level	T
@@ -238,2 +261,3 @@
 av_opt_child_next	T
+av_opt_copy	T
 av_opt_eval_double	T
@@ -269,2 +293,3 @@
 av_opt_set_dict	T
+av_opt_set_dict2	T
 av_opt_set_double	T
@@ -337,2 +362,4 @@
 av_solve_lls	T
+av_stereo3d_alloc	T
+av_stereo3d_create_side_data	T
 av_strcasecmp	T
@@ -352,2 +379,8 @@
 av_tempfile	T
+av_thread_message_queue_alloc	T
+av_thread_message_queue_free	T
+av_thread_message_queue_recv	T
+av_thread_message_queue_send	T
+av_thread_message_queue_set_err_recv	T
+av_thread_message_queue_set_err_send	T
 av_timecode_adjust_ntsc_framenum2	T
@@ -369,2 +402,3 @@
 av_usleep	T
+av_utf8_decode	T
 av_vbprintf	T
@@ -374,2 +408,3 @@
 av_xtea_init	T
+avpriv_alloc_fixed_dsp	T
 avpriv_cga_font	R

	35 symbols added
T av_add_stable
T av_display_matrix_flip
T av_display_rotation_get
T av_display_rotation_set
T av_downmix_info_update_side_data
T av_dynarray_add_nofree
T av_fast_malloc
T av_fast_realloc
T av_fifo_alloc_array
T av_fifo_freep
T av_find_best_pix_fmt_of_2
T av_fopen_utf8
T av_frame_copy
T av_frame_remove_side_data
T av_get_pix_fmt_loss
T av_get_time_base_q
T av_gettime_relative
T av_gettime_relative_is_monotonic
T av_hash_final_b64
T av_hash_final_bin
T av_hash_final_hex
T av_image_check_sar
T av_log_get_flags
T av_opt_copy
T av_opt_set_dict2
T av_stereo3d_alloc
T av_stereo3d_create_side_data
T av_thread_message_queue_alloc
T av_thread_message_queue_free
T av_thread_message_queue_recv
T av_thread_message_queue_send
T av_thread_message_queue_set_err_recv
T av_thread_message_queue_set_err_send
T av_utf8_decode
T avpriv_alloc_fixed_dsp

# template for libavutil.so.52 version script
FFMPEG_2.3.4 {
    global:
	av_add_stable;
	av_display_matrix_flip;
	av_display_rotation_get;
	av_display_rotation_set;
	av_downmix_info_update_side_data;
	av_dynarray_add_nofree;
	av_fast_malloc;
	av_fast_realloc;
	av_fifo_alloc_array;
	av_fifo_freep;
	av_find_best_pix_fmt_of_2;
	av_fopen_utf8;
	av_frame_copy;
	av_frame_remove_side_data;
	av_get_pix_fmt_loss;
	av_get_time_base_q;
	av_gettime_relative;
	av_gettime_relative_is_monotonic;
	av_hash_final_b64;
	av_hash_final_bin;
	av_hash_final_hex;
	av_image_check_sar;
	av_log_get_flags;
	av_opt_copy;
	av_opt_set_dict2;
	av_stereo3d_alloc;
	av_stereo3d_create_side_data;
	av_thread_message_queue_alloc;
	av_thread_message_queue_free;
	av_thread_message_queue_recv;
	av_thread_message_queue_send;
	av_thread_message_queue_set_err_recv;
	av_thread_message_queue_set_err_send;
	av_utf8_decode;
	avpriv_alloc_fixed_dsp;
};

libpostproc.so.52 definitions unchanged

--- ffmpeg-libs-2.1.5-1.fc20/libswresample.so.0	2014-07-09 00:08:31.000000000 +0200
+++ ffmpeg-libs-2.3.4-1.fc20/libswresample.so.0	2014-10-03 08:15:03.239106000 +0200
@@ -1,5 +1,4 @@
-ff_log2_tab	R
-ff_resample_int16_rounder	R
 swr_alloc	T
 swr_alloc_set_opts	T
+swr_close	T
 swr_convert	T
@@ -11,2 +10,3 @@
 swr_inject_silence	T
+swr_is_initialized	T
 swr_next_pts	T

	2 symbols removed
R ff_log2_tab
R ff_resample_int16_rounder

	2 symbols added
T swr_close
T swr_is_initialized

# template for libswresample.so.0 version script
FFMPEG_2.3.4 {
    global:
	swr_close;
	swr_is_initialized;
};

libswscale.so.2 definitions unchanged

vim:ft=diff
